TikTok Shop

One creator's Creator Marketplace profile for the last 30 days

GET/api/public/v1/tik_tok_shop/creators/{openId}/marketplace
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopCreatorMarketplace

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/creators/<openId>/marketplace" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
openIdpathstringrequired
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
creatorobjectrequired
creator.avatarUrlstring, nullable
creator.avgCommissionRateinteger, nullable
creator.avgCommissionRateRangeobject, nullable
creator.avgCommissionRateRange.maxinteger, nullable
creator.avgCommissionRateRange.mininteger, nullable
creator.avgEcLiveCommentCountinteger, nullable
creator.avgEcLiveLikeCountinteger, nullable
creator.avgEcLiveShareCountinteger, nullable
creator.avgEcLiveViewCountinteger, nullable
creator.avgEcVideoCommentCountinteger, nullable
creator.avgEcVideoLikeCountinteger, nullable
creator.avgEcVideoPlayCountinteger, nullable
creator.avgEcVideoShareCountinteger, nullable
creator.avgGmvPerBuyerobject, nullable
creator.avgGmvPerBuyer.amountstring, nullable
creator.avgGmvPerBuyer.currencystring, nullable
creator.avgGmvPerBuyerRangeobject, nullable
creator.avgGmvPerBuyerRange.currencystring, nullable
creator.avgGmvPerBuyerRange.formattedstring, nullable
creator.avgGmvPerBuyerRange.maxstring, nullable
creator.avgGmvPerBuyerRange.minstring, nullable
creator.bioDescriptionstring, nullable
creator.brandCollaborationCountinteger, nullable
creator.categoryGmvDistributionarray of object
creator.categoryGmvDistribution[].[].categoryIdstring, nullable
creator.categoryGmvDistribution[].[].valuestring, nullable
creator.categoryIdsarray of string
creator.contentGmvDistributionarray of object
creator.contentGmvDistribution[].[].contentTypestring, nullable
creator.contentGmvDistribution[].[].valuestring, nullable
creator.creatorProfileobject, nullable
creator.creatorProfile.connectobject, nullable
creator.creatorProfile.connect.isBlockedboolean, nullable
creator.creatorProfile.connect.isConnectboolean, nullable
creator.creatorProfile.connect.isPairedboolean, nullable
creator.creatorProfile.contactInfoAvailableboolean, nullable
creator.creatorProfile.creatorLevelinteger, nullable
creator.creatorProfile.fulfillmentReviewsinteger, nullable
creator.creatorProfile.fulfillmentScore90dstring, nullable
creator.creatorProfile.hasInvitedLast90Daysboolean, nullable
creator.creatorProfile.isBlockedByShopboolean, nullable
creator.creatorProfile.isEligibleFlatFeeboolean, nullable
creator.creatorProfile.isOfficialRecommendboolean, nullable
creator.creatorProfile.isRisingStarboolean, nullable
creator.creatorProfile.liveCommentCount30dMedianinteger, nullable
creator.creatorProfile.liveEngagementRate30dinteger, nullable
creator.creatorProfile.liveLikeCount30dinteger, nullable
creator.creatorProfile.liveShareCount30dMedianinteger, nullable
creator.creatorProfile.liveViewCount30dMedianinteger, nullable
creator.creatorProfile.mcnNamestring, nullable
creator.creatorProfile.sampleScoreinteger, nullable
creator.creatorProfile.videoPlayCount30dMedianinteger, nullable
creator.creatorProfile.videoPublishCount30dMedianinteger, nullable
creator.creatorTrendarray of object
creator.creatorTrend[].[].endTimestampinteger, nullable
creator.creatorTrend[].[].engagementRateinteger, nullable
creator.creatorTrend[].[].followerinteger, nullable
creator.creatorTrend[].[].gmvobject, nullable
creator.creatorTrend[].[].gmv.amountstring, nullable
creator.creatorTrend[].[].gmv.symbolstring, nullable
creator.creatorTrend[].[].startTimestampinteger, nullable
creator.creatorTrend[].[].unitsSoldinteger, nullable
creator.ecLiveCountinteger, nullable
creator.ecLiveEngagementRatestring, nullable
creator.ecVideoCountinteger, nullable
creator.ecVideoEngagementRatestring, nullable
creator.followerAgearray of object
creator.followerAge[].[].keystring
creator.followerAge[].[].valuestring, nullable
creator.followerCountinteger, nullable
creator.followerGenderarray of object
creator.followerGender[].[].keystring
creator.followerGender[].[].valuestring, nullable
creator.followerLocationarray of object
creator.followerLocation[].[].keystring
creator.followerLocation[].[].valuestring, nullable
creator.gmvobject, nullable
creator.gmv.amountstring, nullable
creator.gmv.currencystring, nullable
creator.gmvRangeobject, nullable
creator.gmvRange.currencystring, nullable
creator.gmvRange.formattedstring, nullable
creator.gmvRange.maxstring, nullable
creator.gmvRange.minstring, nullable
creator.gpmobject, nullable
creator.gpm.amountstring, nullable
creator.gpm.currencystring, nullable
creator.gpmRangeobject, nullable
creator.gpmRange.currencystring, nullable
creator.gpmRange.formattedstring, nullable
creator.gpmRange.maxstring, nullable
creator.gpmRange.minstring, nullable
creator.liveGmvobject, nullable
creator.liveGmv.amountstring, nullable
creator.liveGmv.currencystring, nullable
creator.liveGpmobject, nullable
creator.liveGpm.amountstring, nullable
creator.liveGpm.currencystring, nullable
creator.liveGpmRangeobject, nullable
creator.liveGpmRange.currencystring, nullable
creator.liveGpmRange.formattedstring, nullable
creator.liveGpmRange.maxstring, nullable
creator.liveGpmRange.minstring, nullable
creator.nicknamestring, nullable
creator.postRatestring, nullable
creator.ppsstring, nullable
creator.productOriginalPriceRangeobject, nullable
creator.productOriginalPriceRange.currencystring, nullable
creator.productOriginalPriceRange.formattedstring, nullable
creator.productOriginalPriceRange.maxstring, nullable
creator.productOriginalPriceRange.minstring, nullable
creator.profileTtUristring, nullable
creator.promotedProductNuminteger, nullable
creator.ratingstring, nullable
creator.selectionRegionstring, nullable
creator.topCollaboratedBrandIdsarray of string
creator.unitsSoldinteger, nullable
creator.unitsSoldRangeobject, nullable
creator.unitsSoldRange.formattedstring, nullable
creator.unitsSoldRange.maxinteger, nullable
creator.unitsSoldRange.mininteger, nullable
creator.usernamestring, nullable
creator.videoGmvobject, nullable
creator.videoGmv.amountstring, nullable
creator.videoGmv.currencystring, nullable
creator.videoGpmobject, nullable
creator.videoGpm.amountstring, nullable
creator.videoGpm.currencystring, nullable
creator.videoGpmRangeobject, nullable
creator.videoGpmRange.currencystring, nullable
creator.videoGpmRange.formattedstring, nullable
creator.videoGpmRange.maxstring, nullable
creator.videoGpmRange.minstring, nullable
openIdstringrequired
secUidstring, nullablerequired

Example

{
  "creator": {
    "avatarUrl": "https://example.com/p/1",
    "avgCommissionRate": 3,
    "avgCommissionRateRange": {
      "max": 3,
      "min": 3
    },
    "avgEcLiveCommentCount": 3,
    "avgEcLiveLikeCount": 3,
    "avgEcLiveShareCount": 3,
    "avgEcLiveViewCount": 3,
    "avgEcVideoCommentCount": 3,
    "avgEcVideoLikeCount": 3,
    "avgEcVideoPlayCount": 3,
    "avgEcVideoShareCount": 3,
    "avgGmvPerBuyer": {
      "amount": "string",
      "currency": "usd"
    },
    "avgGmvPerBuyerRange": {
      "currency": "usd",
      "formatted": "string",
      "max": "string",
      "min": "string"
    },
    "bioDescription": "string",
    "brandCollaborationCount": 3,
    "categoryGmvDistribution": [
      {
        "categoryId": "string",
        "value": "string"
      }
    ],
    "categoryIds": [
      "string"
    ],
    "contentGmvDistribution": [
      {
        "contentType": "string",
        "value": "string"
      }
    ],
    "creatorProfile": {
      "connect": {
        "isBlocked": true,
        "isConnect": true,
        "isPaired": true
      },
      "contactInfoAvailable": true,
      "creatorLevel": 3,
      "fulfillmentReviews": 3,
      "fulfillmentScore90d": "string",
      "hasInvitedLast90Days": true,
      "isBlockedByShop": true,
      "isEligibleFlatFee": true,
      "isOfficialRecommend": true,
      "isRisingStar": true,
      "liveCommentCount30dMedian": 3,
      "liveEngagementRate30d": 3,
      "liveLikeCount30d": 3,
      "liveShareCount30dMedian": 3,
      "liveViewCount30dMedian": 3,
      "mcnName": "Example name",
      "sampleScore": 3,
      "videoPlayCount30dMedian": 3,
      "videoPublishCount30dMedian": 3
    },
    "creatorTrend": [
      {
        "endTimestamp": 3,
        "engagementRate": 3,
        "follower": 3,
        "gmv": {
          "amount": "string",
          "symbol": "string"
        },
        "startTimestamp": 3,
        "unitsSold": 3
      }
    ],
    "ecLiveCount": 3,
    "ecLiveEngagementRate": "string",
    "ecVideoCount": 3,
    "ecVideoEngagementRate": "string",
    "followerAge": [
      {
        "key": "string",
        "value": "string"
      }
    ],
    "followerCount": 3,
    "followerGender": [
      {
        "key": "string",
        "value": "string"
      }
    ],
    "followerLocation": [
      {
        "key": "string",
        "value": "string"
      }
    ],
    "gmv": {
      "amount": "string",
      "currency": "usd"
    },
    "gmvRange": {
      "currency": "usd",
      "formatted": "string",
      "max": "string",
      "min": "string"
    },
    "gpm": {
      "amount": "string",
      "currency": "usd"
    },
    "gpmRange": {
      "currency": "usd",
      "formatted": "string",
      "max": "string",
      "min": "string"
    },
    "liveGmv": {
      "amount": "string",
      "currency": "usd"
    },
    "liveGpm": {
      "amount": "string",
      "currency": "usd"
    },
    "liveGpmRange": {
      "currency": "usd",
      "formatted": "string",
      "max": "string",
      "min": "string"
    },
    "nickname": "Example name",
    "postRate": "string",
    "pps": "string",
    "productOriginalPriceRange": {
      "currency": "usd",
      "formatted": "string",
      "max": "string",
      "min": "string"
    },
    "profileTtUri": "string",
    "promotedProductNum": 3,
    "rating": "string",
    "selectionRegion": "string",
    "topCollaboratedBrandIds": [
      "string"
    ],
    "unitsSold": 3,
    "unitsSoldRange": {
      "formatted": "string",
      "max": 3,
      "min": 3
    },
    "username": "Example name",
    "videoGmv": {
      "amount": "string",
      "currency": "usd"
    },
    "videoGpm": {
      "amount": "string",
      "currency": "usd"
    },
    "videoGpmRange": {
      "currency": "usd",
      "formatted": "string",
      "max": "string",
      "min": "string"
    }
  },
  "openId": "string",
  "secUid": "string"
}

Errors: 400401403404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.